Agent Versions
Delete an agent version
Deletes a specific version of an agent. For hosted agents, if the version has active
sessions, the request is rejected with HTTP 409 unless force is set to true. When
force is true, all sessions associated with this version are cascade-deleted.
Parametry cesty
agent_name
string
vyžadováno
The name of the agent to delete.
agent_version
string
vyžadováno
The version of the agent to delete
Parametry dotazů
force
boolean
For Hosted Agents, if true, force-deletes the version even if it has active sessions, cascading deletion to all associated sessions. The service defaults to false if a value is not specified by the caller. This value is not relevant for other Agent types.
api-version
string
vyžadováno
The API version to use for this operation.
Odpovědi
The request has succeeded.
Text
object
enum
vyžadováno
The object type. Always 'agent.version.deleted'.
name
string
vyžadováno
The name of the agent.
version
string
vyžadováno
The version identifier of the agent.
deleted
boolean
vyžadováno
Whether the agent was successfully deleted.
Žádost
DELETE /agents/{agent_name}/versions/{agent_version} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json